# Fallback Origin ## Get Fallback Origin for Custom Hostnames `client.customHostnames.fallbackOrigin.get(FallbackOriginGetParamsparams, RequestOptionsoptions?): FallbackOriginGetResponse` **get** `/zones/{zone_id}/custom_hostnames/fallback_origin` Retrieves the current fallback origin configuration for custom hostnames on a zone. The fallback origin handles traffic when specific custom hostname origins are unavailable. ### Parameters - `params: FallbackOriginGetParams` - `zone_id: string` Identifier. ### Returns - `FallbackOriginGetResponse` - `created_at?: string` This is the time the fallback origin was created. - `errors?: Array` These are errors that were encountered while trying to activate a fallback origin. - `origin?: string` Your origin hostname that requests to your custom hostnames will be sent to. - `status?: "initializing" | "pending_deployment" | "pending_deletion" | 3 more` Status of the fallback origin's activation. - `"initializing"` - `"pending_deployment"` - `"pending_deletion"` - `"active"` - `"deployment_timed_out"` - `"deletion_timed_out"` - `updated_at?: string` This is the time the fallback origin was updated. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const fallbackOrigin = await client.customHostnames.fallbackOrigin.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(fallbackOrigin.created_at); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created_at": "2019-10-28T18:11:23.37411Z", "errors": [ "DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record" ], "origin": "fallback.example.com", "status": "pending_deployment", "updated_at": "2020-03-16T18:11:23.531995Z" } } ``` ## Update Fallback Origin for Custom Hostnames `client.customHostnames.fallbackOrigin.update(FallbackOriginUpdateParamsparams, RequestOptionsoptions?): FallbackOriginUpdateResponse` **put** `/zones/{zone_id}/custom_hostnames/fallback_origin` Updates the fallback origin configuration for custom hostnames on a zone. Sets the default origin server for custom hostname traffic. ### Parameters - `params: FallbackOriginUpdateParams` - `zone_id: string` Path param: Identifier. - `origin: string` Body param: Your origin hostname that requests to your custom hostnames will be sent to. ### Returns - `FallbackOriginUpdateResponse` - `created_at?: string` This is the time the fallback origin was created. - `errors?: Array` These are errors that were encountered while trying to activate a fallback origin. - `origin?: string` Your origin hostname that requests to your custom hostnames will be sent to. - `status?: "initializing" | "pending_deployment" | "pending_deletion" | 3 more` Status of the fallback origin's activation. - `"initializing"` - `"pending_deployment"` - `"pending_deletion"` - `"active"` - `"deployment_timed_out"` - `"deletion_timed_out"` - `updated_at?: string` This is the time the fallback origin was updated. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const fallbackOrigin = await client.customHostnames.fallbackOrigin.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', origin: 'fallback.example.com', }); console.log(fallbackOrigin.created_at); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created_at": "2019-10-28T18:11:23.37411Z", "errors": [ "DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record" ], "origin": "fallback.example.com", "status": "pending_deployment", "updated_at": "2020-03-16T18:11:23.531995Z" } } ``` ## Delete Fallback Origin for Custom Hostnames `client.customHostnames.fallbackOrigin.delete(FallbackOriginDeleteParamsparams, RequestOptionsoptions?): FallbackOriginDeleteResponse` **delete** `/zones/{zone_id}/custom_hostnames/fallback_origin` Removes the fallback origin configuration for custom hostnames on a zone. Custom hostnames without specific origins will no longer have a fallback. ### Parameters - `params: FallbackOriginDeleteParams` - `zone_id: string` Identifier. ### Returns - `FallbackOriginDeleteResponse` - `created_at?: string` This is the time the fallback origin was created. - `errors?: Array` These are errors that were encountered while trying to activate a fallback origin. - `origin?: string` Your origin hostname that requests to your custom hostnames will be sent to. - `status?: "initializing" | "pending_deployment" | "pending_deletion" | 3 more` Status of the fallback origin's activation. - `"initializing"` - `"pending_deployment"` - `"pending_deletion"` - `"active"` - `"deployment_timed_out"` - `"deletion_timed_out"` - `updated_at?: string` This is the time the fallback origin was updated. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const fallbackOrigin = await client.customHostnames.fallbackOrigin.delete({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(fallbackOrigin.created_at); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created_at": "2019-10-28T18:11:23.37411Z", "errors": [ "DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record" ], "origin": "fallback.example.com", "status": "pending_deployment", "updated_at": "2020-03-16T18:11:23.531995Z" } } ``` ## Domain Types ### Fallback Origin Get Response - `FallbackOriginGetResponse` - `created_at?: string` This is the time the fallback origin was created. - `errors?: Array` These are errors that were encountered while trying to activate a fallback origin. - `origin?: string` Your origin hostname that requests to your custom hostnames will be sent to. - `status?: "initializing" | "pending_deployment" | "pending_deletion" | 3 more` Status of the fallback origin's activation. - `"initializing"` - `"pending_deployment"` - `"pending_deletion"` - `"active"` - `"deployment_timed_out"` - `"deletion_timed_out"` - `updated_at?: string` This is the time the fallback origin was updated. ### Fallback Origin Update Response - `FallbackOriginUpdateResponse` - `created_at?: string` This is the time the fallback origin was created. - `errors?: Array` These are errors that were encountered while trying to activate a fallback origin. - `origin?: string` Your origin hostname that requests to your custom hostnames will be sent to. - `status?: "initializing" | "pending_deployment" | "pending_deletion" | 3 more` Status of the fallback origin's activation. - `"initializing"` - `"pending_deployment"` - `"pending_deletion"` - `"active"` - `"deployment_timed_out"` - `"deletion_timed_out"` - `updated_at?: string` This is the time the fallback origin was updated. ### Fallback Origin Delete Response - `FallbackOriginDeleteResponse` - `created_at?: string` This is the time the fallback origin was created. - `errors?: Array` These are errors that were encountered while trying to activate a fallback origin. - `origin?: string` Your origin hostname that requests to your custom hostnames will be sent to. - `status?: "initializing" | "pending_deployment" | "pending_deletion" | 3 more` Status of the fallback origin's activation. - `"initializing"` - `"pending_deployment"` - `"pending_deletion"` - `"active"` - `"deployment_timed_out"` - `"deletion_timed_out"` - `updated_at?: string` This is the time the fallback origin was updated.